X2Go Bug report logs - #583
Windows client closes session when inactive

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Pavel Hanák <hanak@is-it.eu>

Date: Tue, 26 Aug 2014 13:50:01 UTC

Severity: normal

Found in version 4.2.0.1+hotfix1+build3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Tue, 26 Aug 2014 13:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Pavel Hanák <hanak@is-it.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 26 Aug 2014 13:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Pavel Hanák <hanak@is-it.eu>
To: submit@bugs.x2go.org
Subject: Windows client closes session when inactive
Date: Tue, 26 Aug 2014 15:40:43 +0200
Package: x2goclient
Version: 4.2.0.1+hotfix1+build3

Hello. I am using nx-client to run some linux programs
on windows. I wanted to switch to x2go but
I experience problems with disconnecting/terminating
my session after some time of inactivity. That means,
when I e.g. minimize my x2goclient window then
after some time (cca 7-12 minutes) the session
terminates without any explanation.
This happens only in windows client, not in linux client.

I tried to look the content of session.log file on the server,
but I don't see anything useful:

    running as X2Go Agent
     
    NXAGENT - Version 3.5.0
     
    Copyright (C) 2001, 2011 NoMachine.
    See http://www.nomachine.com/ for more information.
     
    Info: Agent running with pid '21950'.
    Session: Starting session at 'Tue Jul 29 09:22:20 2014'.
    Info: Proxy running in server mode with pid '21950'.
    Info: Waiting for connection from 'localhost' on port '30052'.
    Info: Accepted connection from '127.0.0.1'.
    Info: Connection with remote proxy completed.
    Info: Using LAN link parameters 1536/24/1/0.
    Info: Using agent parameters 5000/0/50/0/0.
    Info: Using pack method '16m-jpeg-7' with session 'unix-kde-depth_32'.
    Info: Not using NX delta compression.
    Info: Not using ZLIB data compression.
    Info: Not using ZLIB stream compression.
    Info: Not using a persistent cache.
    Info: Listening to X11 connections on display ':68'.
    Info: Established X client connection.
    Info: Using shared memory parameters 1/1/0/0K.
    Info: Using auto-disconnect timeout of 3600 seconds.
    Info: Using alpha channel in render extension.
    Info: Not using local device configuration changes.
    keyboard file created
    SessionPath not defined
    Session: Session started at 'Tue Jul 29 09:22:22 2014'.
    Info: Screen [0] resized to geometry [1920x1084] fullscreen [0].
    Session: Terminating session at 'Tue Jul 29 09:30:02 2014'.
    Info: Waiting the cleanup timeout to complete.
    Session: Session terminated at 'Tue Jul 29 09:30:02 2014'.

Pavel


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Wed, 27 Aug 2014 13:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 27 Aug 2014 13:20:02 GMT) (full text, mbox, link).


Message #10 received at 583@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 583@bugs.x2go.org
Subject: affects me too
Date: Wed, 27 Aug 2014 09:18:50 -0400
I think I'm seeing this bug at work on one specific client and one
specific server. We were purposely using an old version of x2goclient
(4.0.0.3) and x2goserver/nx-libs. I haven't investigated it further
because the funding for this specific use case is about to end.

However, note that I think this happens when the vcxsrv.exe process's
window (the actual remote desktop window) is minimized, not when the
x2goclient.exe QT4 window is minimized. Also, it seems to happen after
about 10-30 seconds of the window being minimized, not 7-12 minutes.
And when I try to reconnect, it works, but the session is suspended,
so I have to resume it 1st. The need to resume it might be bug #511.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Mon, 15 Sep 2014 19:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Hanak" <hanak@is-it.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Sep 2014 19:30:02 GMT) (full text, mbox, link).


Message #15 received at 583@bugs.x2go.org (full text, mbox, reply):

From: "Hanak" <hanak@is-it.eu>
To: 583@bugs.x2go.org
Subject: Yes, it is probably vxcsrc.exe crash
Date: Mon, 15 Sep 2014 21:22:26 +0200
You are probably right that this is vxcsrv.exe crash.
Could I switch on some debugging in order to see what is happening?

Anyway my experience is that the crash happens about 7-12 minutes after
minimizing the vxcsrc window and after new connect, my session is not
suspended. I have to start the session from very beginning.
So my problem is probably not related to bug #511.




Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Tue, 16 Sep 2014 04:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 16 Sep 2014 04:25:01 GMT) (full text, mbox, link).


Message #20 received at 583@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 583@bugs.x2go.org
Cc: Hanak <hanak@is-it.eu>
Subject: Re: [X2Go-Dev] Bug#583: Yes, it is probably vxcsrc.exe crash
Date: Tue, 16 Sep 2014 00:23:41 -0400
Hi Hanak,

On Mon, Sep 15, 2014 at 3:22 PM, Hanak <hanak@is-it.eu> wrote:
> You are probably right that this is vxcsrv.exe crash.
I don't think it is a vcxsrv.exe crash. Probably a bug in nxproxy
(running on the client) or nxagent (running on the server.) nxproxy
interacts with VcXsrv, so minimizing VcXsrv could trigger an nxproxy
bug.

> Could I switch on some debugging in order to see what is happening?
You can enable debug output for the client by installing the debug
build, and then launching x2goclient.exe with the --debug argument.
This will cause log info to be outputted to stdout/stderr.
This is the current released debug build:
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.2.1+hotfix1+build4/non-default-builds/x2goclient-4.0.2.1+hotfix1+build4-debug-setup.exe
I recommend launching xgoclient.exe with "--debug" from the command
prompt. This will make it easier for you to copy and paste the output
to a file/email.
Also, right click on the command prompt title bar, select
"properties", and increase the "screen buffer size" width to like 400.

For the server, edit /etc/x2go/x2goserver.conf and set:
loglevel=debug

IIRC, in addition to causing more output to be logged to syslog, it
will also cause the per-session log files to be kept, rather than
deleted at the end of the session. For example, on my server, there is
the symlink:
/home/mike/.x2go/C-mike-319-1410831069_stDGNOME_dp32/session.log
which points to:
/tmp/.x2go-mike/session-C-mike-319-1410831069_stDGNOME_dp32.log

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Wed, 22 Oct 2014 10:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Hanak" <hanak@is-it.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Oct 2014 10:05:01 GMT) (full text, mbox, link).


Message #25 received at 583@bugs.x2go.org (full text, mbox, reply):

From: "Hanak" <hanak@is-it.eu>
To: 583@bugs.x2go.org
Subject: Solved - problem in my application
Date: Wed, 22 Oct 2014 11:56:58 +0200
Hi,

yesterday I discover a bug in my application which caused the problem!
We were used to start the application from nxclient since ages and I
completely forgot, that there was some very old "cleaning" procedure
which was actually trying to solve some problems with nxclient stalled
sessions. This "cleaning" procedure couldn't coexist with the different
approach x2goclient, which caused closing of x2go sessions after some
time of inactivity.

Thanks a lot for all your help a I apologize for any disturbance.
Good thing is that I could learn much more about how x2go works...

The bug 583 can be considered as closed.

Pavel


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#583; Package x2goclient. (Wed, 22 Oct 2014 12:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Oct 2014 12:00:02 GMT) (full text, mbox, link).


Message #30 received at 583@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Hanak <hanak@is-it.eu>, 583@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#583: Solved - problem in my application
Date: Wed, 22 Oct 2014 11:56:56 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Mi 22 Okt 2014 11:56:58 CEST, Hanak wrote:

> Hi,
>
> yesterday I discover a bug in my application which caused the problem!
> We were used to start the application from nxclient since ages and I
> completely forgot, that there was some very old "cleaning" procedure
> which was actually trying to solve some problems with nxclient stalled
> sessions. This "cleaning" procedure couldn't coexist with the different
> approach x2goclient, which caused closing of x2go sessions after some
> time of inactivity.
>
> Thanks a lot for all your help a I apologize for any disturbance.
> Good thing is that I could learn much more about how x2go works...
>
> The bug 583 can be considered as closed.
>
> Pavel

Closing bug due to bug submitter's feedback.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 583-submit@bugs.x2go.org. (Wed, 22 Oct 2014 12:00:02 GMT) (full text, mbox, link).


Notification sent to Pavel Hanák <hanak@is-it.eu>:
Bug acknowledged by developer. (Wed, 22 Oct 2014 12:00:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 20 Nov 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 06:09:32 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.